Index: contrib/solaris/.cvsignore
===================================================================
--- contrib/solaris/.cvsignore	(revision 3f60b2aaff9346f5cf6e83eddabf6a7daaec650a)
+++ contrib/solaris/.cvsignore	(revision 13e6a4cc747cda3a9d7c9e4565aa3c697dbbf615)
@@ -5,2 +5,6 @@
 config.*
 configure
+setup.cache
+sparc-solaris-binutils.spec
+sparc-solaris-gcc.spec
+sparc-solaris-libs.spec
Index: contrib/solaris/ChangeLog
===================================================================
--- contrib/solaris/ChangeLog	(revision 3f60b2aaff9346f5cf6e83eddabf6a7daaec650a)
+++ contrib/solaris/ChangeLog	(revision 13e6a4cc747cda3a9d7c9e4565aa3c697dbbf615)
@@ -1,2 +1,10 @@
+2001-04-16	Joel Sherrill <joel@OARcorp.com>
+
+	* .cvsignore: Added missing files.
+	* setup.def: New shot using gcc 3.0.4 RPMs.
+	* sparc-solaris-binutils.spec.in: Switched to bz2 file.
+	* sparc-solaris-gcc.spec.in: Use gcc3 file naming for archive
+	and use find to pick up all files.
+ 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: contrib/solaris/setup.def
===================================================================
--- contrib/solaris/setup.def	(revision 3f60b2aaff9346f5cf6e83eddabf6a7daaec650a)
+++ contrib/solaris/setup.def	(revision 13e6a4cc747cda3a9d7c9e4565aa3c697dbbf615)
@@ -4,9 +4,9 @@
 # $Id$
 #
-binutils_version=2.11.2
+binutils_version=2.12
 binutils_rpm_release=1
 solaris_version=8
-solaris_rpm_release=1
-gcc_version=2.95.3
+solaris_rpm_release=2
+gcc_version=3.0.4
 gcc_rpm_release=1
 rpm_build_root=/var/tmp
Index: contrib/solaris/sparc-solaris-binutils.spec.in
===================================================================
--- contrib/solaris/sparc-solaris-binutils.spec.in	(revision 3f60b2aaff9346f5cf6e83eddabf6a7daaec650a)
+++ contrib/solaris/sparc-solaris-binutils.spec.in	(revision 13e6a4cc747cda3a9d7c9e4565aa3c697dbbf615)
@@ -20,5 +20,5 @@
 
 Version:      	%binutils_rpmvers
-Source0:	ftp://ftp.gnu.org.com/pub/gnu/binutils/binutils-%{binutils_version}.tar.gz
+Source0:	ftp://ftp.gnu.org.com/pub/gnu/binutils/binutils-%{binutils_version}.tar.bz2
 NoSource: 	0
 %description
Index: contrib/solaris/sparc-solaris-gcc.spec.in
===================================================================
--- contrib/solaris/sparc-solaris-gcc.spec.in	(revision 3f60b2aaff9346f5cf6e83eddabf6a7daaec650a)
+++ contrib/solaris/sparc-solaris-gcc.spec.in	(revision 13e6a4cc747cda3a9d7c9e4565aa3c697dbbf615)
@@ -20,5 +20,5 @@
 Version:        %gcc_rpmvers
 
-Source0: 	ftp://sourceware.cygnus.com/pub/solaris/latest/gcc/gcc-everything-%{gcc_version}.tar.gz
+Source0: 	ftp://sourceware.cygnus.com/pub/solaris/latest/gcc/gcc-%{gcc_version}.tar.gz
 NoSource:	0
 
@@ -38,11 +38,11 @@
 
   ../gcc-%{gcc_version}/configure --target=sparc-solaris \
-    --with-gnu-as --with-gnu-ld --verbose \
-    --disable-nls --enable-languages=c,c++ \
+    --with-gnu-as --with-gnu-ld --without-newlib --verbose \
+    --disable-shared --disable-nls --enable-languages=c \
     --prefix=%{prefix} 
 
   make all
 # We don't want info files
-#  make info
+  make info
 
 %install
@@ -55,11 +55,15 @@
   make prefix=$RPM_BUILD_ROOT%{prefix} install
   # cd back to build/
-  cd ../..
+  cd ..
 
   # We don't want info files
   rm -rf $RPM_BUILD_ROOT%{prefix}/info
 
-  # libiberty comes from solaris-libs
+  # libiberty comes from solaris-libs or binutils
   rm -f $RPM_BUILD_ROOT%{prefix}/sparc-solaris/lib/libiberty.a
+  rm -f $RPM_BUILD_ROOT%{prefix}/lib/libiberty.a
+
+  pwd
+  find $RPM_BUILD_ROOT%{prefix} ! -type d -print | sed -e "s,^$RPM_BUILD_ROOT,,g" >files.list
 
 %clean
@@ -68,31 +72,3 @@
     rm -rf $RPM_BUILD_ROOT
 
-%files
-
-%dir %{prefix}/bin
-%{prefix}/bin/cpp
-%{prefix}/bin/gcov
-
-%dir %{prefix}/man
-%dir %{prefix}/man/man1
-%doc %{prefix}/man/man1/cccp.1*
-%doc %{prefix}/man/man1/sparc-solaris-gcc.1*
-%doc %{prefix}/man/man1/sparc-solaris-g++.1*
-
-%dir %{prefix}/include
-
-%{prefix}/include/g++-3
-%{prefix}/bin/sparc-solaris-c++
-%{prefix}/bin/sparc-solaris-c++filt
-%{prefix}/bin/sparc-solaris-g++
-%{prefix}/bin/sparc-solaris-gcc
-%{prefix}/bin/sparc-solaris-protoize
-%{prefix}/bin/sparc-solaris-unprotoize
-
-# %dir %{prefix}/lib/gcc-lib/sparc-solaris/%{gcc_version}/include
-
-%{prefix}/sparc-solaris
-%dir %{prefix}/lib
-%dir %{prefix}/lib/gcc-lib
-%dir %{prefix}/lib/gcc-lib/sparc-solaris
-%{prefix}/lib/gcc-lib/sparc-solaris/%{gcc_version}
+%files -f files.list
